| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Static Public Member Functions | Protected Attributes | Private Member Functions | List of all members
IG.Lib.UtilConsole Class Reference

Utilities for reading from a console. More...

Inheritance diagram for IG.Lib.UtilConsole:
[legend]

## Static Public Member Functions
static void | HideConsoleWindow ()
| Hides the console window. More...
static void | ShowConsoleWindow ()
| Shows the console window. More...
static bool | Read (ref int value)
| Reads an integer from a console and assigns it to a variable. User can input a non-integer to see current content, or insert an empty string to leave the old content. More...
static bool | Read (ref long value)
| Reads an integer (of type long) from a console and assigns it to a variable. User can input a non-integer to see current content, or insert an empty string to leave the old content. More...
static bool | Read (ref double value)
| Reads a floating point number (type double) from a console and assigns it to a variable. User can input a non-integer to see current content, or insert an empty string to leave the old content. More...
static bool | Read (ref float value)
| Reads a floating point number (type float) from a console and assigns it to a variable. User can input a non-integer to see current content, or insert an empty string to leave the old content. More...
static bool | Read (ref bool value)
| Reads a boolean from a console and assigns it to a variable. User can input a non-boolean to see current content, or insert an empty string to leave the old content. Eligible input to assign a new boolean value (strings are not case sensitive!): More...
static bool | Read (ref string value)
| Reads a string from a console and assigns it to a variable. User can input a ? to see current content, or insert an empty string to leave the old content. More...
static bool | Read (ref IVector vec)
| Reads a vector from a console and assigns it to the specified vector variable. More...
static bool | Read (ref IVector vec, string vecName)
| Reads a vector from a console and assigns it to the specified vector variable. More...
static bool | Read (ref IMatrix mat)
| Reads a matrix from console and assigns it to the specified matrix variable. More...
static bool | Read (ref IMatrix mat, string matName)
| Reads a matrix from console and assigns it to the specified matrix variable. More...
static bool | ReadPwd (ref string value, string printchar, bool printrandom)
| Reads a password from console, masking the input as specified. More...
static bool | ReadPwd (ref string value, string printchar)
| Reads a password from console, masking the input as specified. More...
static bool | ReadPwd (ref string value, bool printrandom)
| Reads a password from console, masking the input as specified. More...
static bool | ReadPwd (ref string value)
| Reads a password from console, masking the input by * characters. More...
static void | Examples ()

## Protected Attributes
const int | SW_HIDE = 0
const int | SW_SHOW = 5
const string | _defaultVectorName = "vec"
const string | _defaultMatrixName = "vec"

## Private Member Functions
static IntPtr | GetConsoleWindow ()
static bool | ShowWindow (IntPtr hWnd, int nCmdShow)

## Detailed Description

Utilities for reading from a console.

$A Igor Feb10;

## Member Function Documentation

static IntPtr IG.Lib.UtilConsole.GetConsoleWindow | ( |  | ) |
| private

static bool IG.Lib.UtilConsole.ShowWindow | ( | IntPtr | hWnd,
|  | int | nCmdShow
| ) |  |
| private

static void IG.Lib.UtilConsole.HideConsoleWindow | ( |  | ) |
| inline static

Hides the console window.

Referenced by IG.Script.AppExtBase.CryptoFunctionHashForm().

static void IG.Lib.UtilConsole.ShowConsoleWindow | ( |  | ) |
| inline static

Shows the console window.

Referenced by IG.Script.AppExtBase.CryptoFunctionHashForm().

static bool IG.Lib.UtilConsole.Read | ( | ref int | value | ) |
| inline static

Reads an integer from a console and assigns it to a variable. User can input a non-integer to see current content, or insert an empty string to leave the old content.

Parameters

  value | Variable to which the inserted value is assigned.

Returns
  true if a new value has been assigned, false otherwise.

Referenced by IG.Script.ScriptAppBase.CryptoFunctionCheckSum(), IG.Script.ScriptAppBase.CryptoFunctionGetFileHash(), IG.Lib.RealFunctionLoader.Example(), IG.Num.mat2.Example(), IG.Lib.ScalarFunctionLoader.Example(), IG.Num.mat3.Example(), IG.Lib.UtilConsole.Examples(), IG.Lib.ArrayDto< ElementType, ElementBaseType, ElementDtoType >.ExampleVectorArray(), IG.Lib.ListDto< ElementType, ElementBaseType, ElementDtoType >.ExampleVectorArray(), IG.Lib.CommandLineApplicationInterpreter.ExecuteSystemCommandsInteractive(), IG.Num.vec2.Read(), IG.Num.vec3.Read(), IG.Lib.UtilConsole.Read(), IG.Num.mat2.Read(), IG.Num.mat3.Read(), and IG.Lib.CommandLineApplicationInterpreter.RunInteractive().

static bool IG.Lib.UtilConsole.Read | ( | ref long | value | ) |
| inline static

Reads an integer (of type long) from a console and assigns it to a variable. User can input a non-integer to see current content, or insert an empty string to leave the old content.

Parameters

  value | Variable to which the inserted value is assigned.

Returns
  true if a new value has been assigned, false otherwise.

static bool IG.Lib.UtilConsole.Read | ( | ref double | value | ) |
| inline static

Reads a floating point number (type double) from a console and assigns it to a variable. User can input a non-integer to see current content, or insert an empty string to leave the old content.

Parameters

  value | Variable to which the inserted value is assigned.

Returns
  true if a new value has been assigned, false otherwise.

static bool IG.Lib.UtilConsole.Read | ( | ref float | value | ) |
| inline static

Reads a floating point number (type float) from a console and assigns it to a variable. User can input a non-integer to see current content, or insert an empty string to leave the old content.

Parameters

  value | Variable to which the inserted value is assigned.

Returns
  true if a new value has been assigned, false otherwise.

static bool IG.Lib.UtilConsole.Read | ( | ref bool | value | ) |
| inline static

Reads a boolean from a console and assigns it to a variable. User can input a non-boolean to see current content, or insert an empty string to leave the old content. Eligible input to assign a new boolean value (strings are not case sensitive!):

Parameters

  value | Variable to which the inserted value is assigned.

Returns
  true if a new value has been assigned, false otherwise.

static bool IG.Lib.UtilConsole.Read | ( | ref string | value | ) |
| inline static

Reads a string from a console and assigns it to a variable. User can input a ? to see current content, or insert an empty string to leave the old content.

Parameters

  value | Variable to which the inserted value is assigned.

Returns
  true if a new value has been assigned, false otherwise.

static bool IG.Lib.UtilConsole.Read | ( | ref IVector | vec | ) |
| inline static

Reads a vector from a console and assigns it to the specified vector variable.

Parameters

  vec | Vector variable to read-in the vector.

Returns
  True if the value of vec has been modified by the reading operation, false if not.

static bool IG.Lib.UtilConsole.Read | ( | ref IVector | vec,
|  | string | vecName
| ) |  |
| inline static

Reads a vector from a console and assigns it to the specified vector variable.

Parameters

  vec | Vector variable to read-in the vector.
  vecName | Name of the vector to be read in (used just in writing help strings to console). If null or empty string then default name is taken.

Returns
  True if the value of vec has been modified by the reading operation, false if not.

References IG.Lib.UtilConsole.Read(), and IG.Num.VectorBase.Resize().

static bool IG.Lib.UtilConsole.Read | ( | ref IMatrix | mat | ) |
| inline static

Reads a matrix from console and assigns it to the specified matrix variable.

Parameters

  mat | Matrix variable to hold the read-in matrix.

Returns
  True if the value of mat has been modified by the reading operation, false if not.

static bool IG.Lib.UtilConsole.Read | ( | ref IMatrix | mat,
|  | string | matName
| ) |  |
| inline static

Reads a matrix from console and assigns it to the specified matrix variable.

Parameters

  mat | Matrix variable to hold the read-in matrix.
  matName | Name of the matrix to be read in (used just in writing help strings to console). If null or empty string then default name is taken.

Returns
  True if the value of mat has been modified by the reading operation, false if not.

References IG.Lib.UtilConsole.Read(), and IG.Num.MatrixBase.Resize().

static bool IG.Lib.UtilConsole.ReadPwd | ( | ref string | value,
|  | string | printchar,
|  | bool | printrandom
| ) |  |
| inline static

Reads a password from console, masking the input as specified.

Parameters

  value | Output parameter where the inserted password is stored.
  printchar | Character that is output to the concole with every character input by the user.
  printrandom | If thrue then random characters are output to console when password characters are typed in.

Returns
  True if password has been read, false if not (i.e. empty string was inserted).

References IG.Lib.UtilStr.RandomChar().

Referenced by IG.Lib.UtilConsole.Examples().

static bool IG.Lib.UtilConsole.ReadPwd | ( | ref string | value,
|  | string | printchar
| ) |  |
| inline static

Reads a password from console, masking the input as specified.

Parameters

  value | Output parameter where the inserted password is stored.
  printchar | Character that is output to the concole with every character input by the user.

Returns
  True if password has been read, false if not (i.e. empty string was inserted).

static bool IG.Lib.UtilConsole.ReadPwd | ( | ref string | value,
|  | bool | printrandom
| ) |  |
| inline static

Reads a password from console, masking the input as specified.

Parameters

  value | Output parameter where the inserted password is stored.
  printrandom | If true then a random character (alphabitic or numeric) is prineted for each character typed in. Otherwise, * is printed.

Returns
  True if password has been read, false if not (i.e. empty string was inserted).

static bool IG.Lib.UtilConsole.ReadPwd | ( | ref string | value | ) |
| inline static

Reads a password from console, masking the input by * characters.

Parameters

  value | Output parameter where the inserted password is stored.

Returns
  True if password has been read, false if not (i.e. empty string was inserted).

static void IG.Lib.UtilConsole.Examples | ( |  | ) |
| inline static

References IG.Lib.UtilStr.RandomString(), IG.Lib.UtilConsole.Read(), and IG.Lib.UtilConsole.ReadPwd().

## Member Data Documentation

const int IG.Lib.UtilConsole.SW_HIDE = 0
| protected

const int IG.Lib.UtilConsole.SW_SHOW = 5
| protected

const string IG.Lib.UtilConsole._defaultVectorName = "vec"
| protected

const string IG.Lib.UtilConsole._defaultMatrixName = "vec"
| protected

The documentation for this class was generated from the following file:

- igbase/utilities/UtilConsole.cs